<?php
$config = require './Runtime/Conf/config.php';
$array = array(
	'USER_AUTH_KEY'=>'ffvod',// 用户认证SESSION标记
	'NOT_AUTH_ACTION'=>'index,show,add,top,left,main',// 默认无需认证操作
	'REQUIRE_AUTH_MODULE'=>'Admin,List,Vod,News,User,Collect,Data,Upload,Link,Ads,Cache,Create,Tpl,Cm,Gb,Tag,Special,Nav,Side,Pic',// 默认需要认证模型
    'URL_PATHINFO_DEPR'=>'-',
	'DEFAULT_C_LAYER'=>  'Action', // 默认的控制器层名称
	'MODULE_ALLOW_LIST'=>array('Admin','Home','Plus','User'),//项目分组
	'DEFAULT_M_LAYER'=>  'Model', // 默认的模型层名称
	'VIEW_PATH'=>'./Tpl/',
	'TMPL_FILE_DEPR'=>'_',//模板文件MODULE_NAME与ACTION_NAME之间的分割符，只对项目分组部署有效
	'TMPL_STRIP_SPACE'=> true,// 是否去除模板文件里面的html空格与换行
	'LANG_SWITCH_ON'=>true,// 多语言包功能
	'LANG_AUTO_DETECT'=>false,//是否自动侦测浏览器语言
	'URL_CASE_INSENSITIVE'=>true,//URL是否不区分大小写 默认区分大小写
    'DB_FIELDTYPE_CHECK'=>true, //是否进行字段类型检查
	'DATA_CACHE_SUBDIR'=>true,//哈希子目录动态缓存的方式
	'SHOW_ERROR_MSG'=>true, //关闭错误输出
    'TMPL_ACTION_ERROR'     => './Public/jump/jumpurl.html', // 默认错误跳转对应的模板文件
    'TMPL_ACTION_SUCCESS'   => './Public/jump/jumpurl.html', // 默认成功跳转对应的模板文件		
	'DATA_PATH_LEVEL'=>2,
  	'url_model' => '3',
	'play_player' =>array (
		'youku'=>    array('01','优酷视频'),
		'qq'=>      array('02','腾讯视频'),
		'qiyi'=>    array('03','奇艺视频'),
		'mgtv'=>    array('04','芒果TV'),
		'bilibili'=>    array('05','B站视频'),
		'xigua'=>   array('06','西瓜视频'),
		'sohu'=>    array('07','搜狐视频'),
		'letv'=>    array('08','乐视视频'),
		'cctv'=>    array('09','央视视频'),
		'ffhd'=>    array('10','非凡影音'),
		'xfplay'=>  array('11','影音先锋'),
		'jjvod'=>   array('12','吉吉影音'),
		'tudou'=>   array('13','土豆视频'),
		'xunlei'=>   array('14','迅雷高清'),
		'm1905'=>   array('15','M1905'),
		'sinahd'=>  array('16','新浪视频'),
		'cntv'=>    array('17','cntv高清'),
		'pps'=>     array('18','PPS视频'),
		'wole'=>    array('19','56视频'),
		'joy'=>     array('20','激动视频'),
		'pptv'=>    array('21','PPTV视频'),
		'ku6'=>     array('22','酷六视频'),
		'http'=>    array('23','影片下载'),
		'swf'=>     array('24','Swf动画'),
		'flv'=>     array('25','Flv视频'),
		'web9'=>    array('26','久久影音'),
		'pvod'=>    array('27','皮皮高清'),
		'cool'=>    array('28','酷播高清'),
		'gvod'=>    array('29','迅播高清'),
		'funshion'=>array('30','风行影音'),
		'baofeng'=> array('31','暴风影音'),
		'pplive'=>  array('32','PPTV直播'),
		'media'=>   array('33','Media Player'),
		'real'=>    array('34','Real Player'),
		'qvod'=>    array('35','快播高清'),
        'kankan'=>  array('36','迅雷看看'),
		'bdhd'=>    array('37','百度影音'),
		'room'=>    array('38','六间房'),
	),
	//'APP_DEBUG'           =>true,    // 是否开启调试模式
   // 'SHOW_RUN_TIME'		=> true,   // 运行时间显示
    //'SHOW_ADV_TIME'		=> true,   // 显示详细的运行时间
   // 'SHOW_DB_TIMES'		=> true,   // 显示数据库查询和写入次数	
);
return array_merge($config,$array);
?>